[data-component-id="incmty:hero_slide"] {
  position: relative;
  overflow: hidden;

  &::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: #030219;
    pointer-events: none;
    opacity: 0.25;
    z-index: 1;
  }

  & .media--blazy {
    position: static;
  }

  & picture {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 0;
  }

  & .media--image {
    & img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      aspect-ratio: 1 / 1;
    }
  }

  & .content {
    position: relative;
    z-index: 2;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  & .description {
    padding: 48px 16px;
    width: 100%;
    user-select: text !important;
    -webkit-user-select: text !important;
    -moz-user-select: text !important;
    -ms-user-select: text !important;
    pointer-events: auto !important;

    & .field--name-field-description-hero {
      & * + * {
        margin-top: 16px;
      }

      & .media-articles-wrapper {
        display: flex;
        flex-wrap: wrap;
        align-items: center;

        &.left {
          justify-content: left;
        }

        &.center {
          justify-content: center;
        }

        &.right {
          justify-content: right;
        }
      }

      & .media--type-image {
        display: flex;
        vertical-align: middle;

        + .media--type-image {
          padding-left: 32px;
          margin-left: 32px;
          border-left: 1px solid var(--white-color);
        }

        &.align-right {
          justify-content: right;
          float: inherit !important;
        }

        &.align-center {
          justify-content: center;
          float: inherit !important;
        }
      }

      & img {
        max-width: 200px;
      }

      & p:has(img + img) {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        gap: 32px;

        & img + img {
          margin-top: 0 !important;
          padding-left: 32px;
          border-left: 1px solid var(--white-color);
        }

        &.text-align-right {
          justify-content: end;
        }

        &.text-align-center {
          justify-content: center;
        }
      }

      ul,
      ol {
        li {
          &::marker {
            color: var(--white-color);
          }
        }
      }
    }

    & p,
    & strong,
    & h2,
    & h3,
    & h4,
    & h5,
    & h6,
    & em {
      margin: 0;
      color: var(--white-color) !important;
    }

    & a:not(.btn-primary, .btn-secondary) {
      color: var(--white-color);
      font-weight: 700;

      &:hover {
        opacity: 0.75;
        text-decoration: underline;
      }

      &:focus {
        outline: none;
        box-shadow: none;
      }
    }

    & .media.media--type-document {
      &.align-center {
        text-align: center;
      }

      & .file {
        background-image: none;
        padding: 0;
      }
    }

    & a {
      &.btn-primary,
      &.btn-secondary {
        color: var(--white-color);
        padding: 16px 32px;
        border-radius: 96px;
        text-align: center;
        text-decoration: none;
        text-transform: uppercase;
        font-size: 12px;
        font-style: normal;
        font-weight: 900;
        line-height: 18px;
        display: inline-block;

        &:hover {
          color: var(--white-color);
          opacity: 1;
        }

        &:focus {
          outline: none;
          box-shadow: none;
        }
      }

      &.btn-primary {
        background-color: #d24204;
        border: 2px solid #d24204;

        &:hover {
          background-color: transparent;
          border: 2px solid var(--white-color);
          text-decoration: none !important;
        }
      }

      &.btn-secondary {
        background-color: transparent;
        border: 2px solid var(--white-color);

        &:hover {
          background-color: #d24204;
          border: 2px solid #d24204;
          text-decoration: none !important;
        }
      }
    }

    & .media--type-document {
      & .file__size {
        display: none;
      }
    }
  }
}

@media screen and (max-width: 768px) {
  [data-component-id="incmty:hero_slide"] {
    & .description {
      & .field--name-field-description-hero {
        & img {
          max-width: 128px;
        }
      }
    }
  }
}

@media (min-width: 768px) {
  [data-component-id="incmty:hero_slide"] {
    & .description {
      padding: 96px;
    }
  }
}

@media (min-width: 1024px) {
  [data-component-id="incmty:hero_slide"] {
    & .media--image {
      & img {
        aspect-ratio: 2.5 / 1;
      }
    }
  }
}
